/// <reference types="react" />
import { ActionIconPolyType, ActionIconProps, ActionIconRef } from './ActionIcon.types';
declare function ActionIconInner<T extends ActionIconPolyType>(props: ActionIconProps<T>, ref: ActionIconRef<T>): JSX.Element;
export declare const ActionIcon: <Role extends ActionIconPolyType>(props: ActionIconProps<Role>) => ReturnType<typeof ActionIconInner>;
export {};
